<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetButtonCommand Method (IEdmCardControl5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCardControl5 Interface : GetButtonCommand Method (IEdmCardControl5)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

Gets the command string that is executed when a button is clicked in the Card Editor.

# Syntax

Visual Basic |
--- | ---

    Function GetButtonCommand( _
       ByVal lParentWnd As System.Integer _
    ) As System.String

C# |
--- | ---

    System.string GetButtonCommand(
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    System.String^ GetButtonCommand(
    &   System.int lParentWnd
    )

#### Parameters

lParentWnd
  Parent window handle

#### Return Value

Command string

# Remarks

If the button is linked to a program that is not found, this method launches a dialog box in which the user can browse to the missing EXE file. If the user clicks Cancel in the dialog box, HRESULT = E_EDM_CANCELLED_BY_USER is returned by this method.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_INVALID_ID: The supplied control is not a push-button. Call IEdmCardControl5::ControlType first to verify whether the control is a push-button.
- E_EDM_CANCELLED_BY_USER: The user clicked Cancel in the dialog box.

# See Also

####

IEdmCardControl5 Interface
IEdmCardControl5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2